Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1431761

Summary: Review Request: golang-github-AudriusButkevicius-cli - Small library for building CLI apps in Go
Product: [Fedora] Fedora Reporter: Fabio Valentini <decathorpe>
Component: Package ReviewAssignee: Athos Ribeiro <athoscribeiro>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: athoscribeiro, morphis, package-review
Target Milestone: ---Flags: athoscribeiro: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-04-21 14:27:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1427634    

Description Fabio Valentini 2017-03-13 17:17:18 UTC
Spec URL: https://decathorpe.fedorapeople.org/packages/golang-github-AudriusButkevicius-cli.spec

SRPM URL: https://decathorpe.fedorapeople.org/packages/golang-github-AudriusButkevicius-cli-1.1.0-1.0.git7f561c7.fc25.src.rpm

Description: Small library for building CLI apps in Go

Fedora Account System Username: decathorpe


koji scratch build for rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=18360014

This package is one of the (indirect) dependencies of syncthing.

Comment 1 Fabio Valentini 2017-03-13 17:25:31 UTC
*** Bug 1431054 has been marked as a duplicate of this bug. ***

Comment 2 Simon Fels 2017-03-24 08:26:44 UTC
I've had a look at this as a new packager. Followed the review process as described in https://fedoraproject.org/wiki/Package_Review_Process

Please don't consider my review as approval.

Package was generated through gofed which makes the review process easier.

- Conforms to packaging guidelines (gofed generated spec)
- license correct and valid
- only sources installed
- fedora-review report doesn't show any failures, items marked as "need manual review" pass

Comment 3 Athos Ribeiro 2017-04-14 12:50:36 UTC
Hello Fabio,

I am taking this review :)

- The conditional block on line 130 seems to be duplicated.

- There is no 1.1.0 version for this package. Latest git tag is 1.0.0.

- Note that the X.Y format for the release tag is suggested for pre-releases, not post-releases. Also, the versioning guidelines were changed last month [1]. In particular, it seems that including the date the snapshot was taken is a must item (in this case, we should also update gofed).

Other than that, the package looks good.

[1] https://fedoraproject.org/wiki/Packaging:Versioning

Comment 4 Fabio Valentini 2017-04-14 13:07:17 UTC
Spec URL: https://decathorpe.fedorapeople.org/packages/golang-github-AudriusButkevicius-cli.spec

SRPM URL: https://decathorpe.fedorapeople.org/packages/golang-github-AudriusButkevicius-cli-1.0.0-1.20140727.git7f561c7.fc26.src.rpm


- You are right, Version 1.1.0 is plain wrong, it must be a typo or copy-paste-error. I've corrected it to 1.0.0.

- I have removed the redundant %if-else statements.

- I have included the commit date into the Release string as stated in the Guidelines for Snapshot versions (gofed should really be updated to reflect those changes, too!).

Comment 5 Athos Ribeiro 2017-04-14 14:23:03 UTC
Package approved

Comment 6 Fabio Valentini 2017-04-14 15:24:25 UTC
Thanks for the review!

Comment 7 Gwyn Ciesla 2017-04-17 12:19:05 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/golang-github-AudriusButkevicius-cli

Comment 8 Fedora Update System 2017-04-17 14:31:05 UTC
golang-github-AudriusButkevicius-cli-1.0.0-1.20140727.git7f561c7.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-067b202929

Comment 9 Fedora Update System 2017-04-17 14:32:09 UTC
golang-github-AudriusButkevicius-cli-1.0.0-1.20140727.git7f561c7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c4080d8884

Comment 10 Fedora Update System 2017-04-17 14:39:43 UTC
golang-github-AudriusButkevicius-cli-1.0.0-1.20140727.git7f561c7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-de3fe47b79

Comment 11 Fedora Update System 2017-04-17 21:52:12 UTC
golang-github-AudriusButkevicius-cli-1.0.0-1.20140727.git7f561c7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-de3fe47b79

Comment 12 Fedora Update System 2017-04-17 22:24:54 UTC
golang-github-AudriusButkevicius-cli-1.0.0-1.20140727.git7f561c7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c4080d8884

Comment 13 Fedora Update System 2017-04-17 23:50:52 UTC
golang-github-AudriusButkevicius-cli-1.0.0-1.20140727.git7f561c7.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-067b202929

Comment 14 Fedora Update System 2017-04-21 14:27:56 UTC
golang-github-AudriusButkevicius-cli-1.0.0-1.20140727.git7f561c7.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-04-25 17:23:18 UTC
golang-github-AudriusButkevicius-cli-1.0.0-1.20140727.git7f561c7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-04-25 17:55:15 UTC
golang-github-AudriusButkevicius-cli-1.0.0-1.20140727.git7f561c7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.